SystemOrganization addCategory: #'JQWidgetBox-Dynatree-Dev-Tests'!
SystemOrganization addCategory: #'JQWidgetBox-Dynatree-Dev-Examples'!

JQWidgetExample subclass: #JQDynatreeExample
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Dynatree-Dev-Examples'!

!JQDynatreeExample methodsFor: 'updating' stamp: 'tbn 8/16/2011 21:21'!
updateRoot: html
	super updateRoot: html.					 	 
	"html stylesheet url: self library / #checktreeCss."
	html javascript url: self library / #jquerydynatreeminJs.	! !

JQWidgetBoxWidgetTest subclass: #JQDynatreeTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Dynatree-Dev-Tests'!

!JQDynatreeTest methodsFor: 'testing' stamp: 'tbn 8/16/2011 21:02'!
testActions 

	self
		assert: ((self jQuery: 'id') dynatree)
		equals: self function, '("id").dynatree()'.! !

!JQDynatreeTest methodsFor: 'testing' stamp: 'tbn 8/16/2011 21:23'!
testOptions
	self
		assert: ((self jQuery: 'ul.tree') dynatree title: 'Foo')
		equals: self function , '("ul.tree").dynatree({"title":"Foo"})'.
		
	self
		assert: ((self jQuery: 'ul.tree') dynatree minExpandLevel: 1)
		equals: self function , '("ul.tree").dynatree({"minExpandLevel":1})'.	

	self
		assert: ((self jQuery: 'ul.tree') dynatree imagePath: 'x')
		equals: self function , '("ul.tree").dynatree({"imagePath":"x"})'.	
! !
